Skip to main content
PATCH
/
v2
/
me
/
ooo
/
{oooId}
Update an out-of-office entry for the authenticated user
curl --request PATCH \
  --url https://api.cal.com/v2/me/ooo/{oooId} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "start": "2023-05-01T00:00:00.000Z",
  "end": "2023-05-10T23:59:59.999Z",
  "notes": "Vacation in Hawaii",
  "toUserId": 2,
  "reason": "vacation"
}
'
import requests

url = "https://api.cal.com/v2/me/ooo/{oooId}"

payload = {
    "start": "2023-05-01T00:00:00.000Z",
    "end": "2023-05-10T23:59:59.999Z",
    "notes": "Vacation in Hawaii",
    "toUserId": 2,
    "reason": "vacation"
}
headers = {
    "Authorization": "<authorization>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    start: '2023-05-01T00:00:00.000Z',
    end: '2023-05-10T23:59:59.999Z',
    notes: 'Vacation in Hawaii',
    toUserId: 2,
    reason: 'vacation'
  })
};

fetch('https://api.cal.com/v2/me/ooo/{oooId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "userId": 2,
    "id": 2,
    "uuid": "e84be5a3-4696-49e3-acc7-b2f3999c3b94",
    "start": "2023-05-01T00:00:00.000Z",
    "end": "2023-05-10T23:59:59.999Z",
    "toUserId": 2,
    "notes": "Vacation in Hawaii",
    "reason": "vacation"
  }
}

Headers

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

Path Parameters

oooId
number
required

Body

application/json
start
string<date-time>

The start date and time of the out of office period in ISO 8601 format in UTC timezone.

Example:

"2023-05-01T00:00:00.000Z"

end
string<date-time>

The end date and time of the out of office period in ISO 8601 format in UTC timezone.

Example:

"2023-05-10T23:59:59.999Z"

notes
string

Optional notes for the out of office entry.

Example:

"Vacation in Hawaii"

toUserId
number

The ID of the user covering for the out of office period, if applicable.

Example:

2

reason
enum<string>

the reason for the out of office entry, if applicable

Available options:
unspecified,
vacation,
travel,
sick,
public_holiday
Example:

"vacation"

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required